Page MenuHomePhabricator

Add 'noop' CI to super projects mediawiki/extensions and mediawiki/skins
Closed, DeclinedPublic

Description

Currently https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions and https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/skins lack jenkins-bot. In order to avoid manually CR2+V2+Submit maybe we can let jenkins-bot do the most of the job for us? I suggest noop as the changes there are pretty straightforward to review, but if there's a better test suite to apply there feel free to add that too.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2018, 8:58 AM

@hashar Do you think noop would work here or maybe other test template?

Yeah that would do. Then it does not offer much benefit :] Maybe one can add some kind of test suite (in a shared repo) that would be able to do some assertion against the content of mediawiki/skins and mediawiki/extensions?

Vvjjkkii renamed this task from Add 'noop' CI to mediawiki/(extensions|skins} to shbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, MarcoAurelio.
CommunityTechBot renamed this task from shbaaaaaaa to Add 'noop' CI to mediawiki/(extensions|skins}.Jul 2 2018, 3:12 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
MarcoAurelio renamed this task from Add 'noop' CI to mediawiki/(extensions|skins} to Add 'noop' CI to mediawiki/(extensions|skins).Jul 2 2018, 4:23 PM
hashar renamed this task from Add 'noop' CI to mediawiki/(extensions|skins) to Add 'noop' CI to super projects mediawiki/extensions and mediawiki/skins.Dec 12 2018, 8:21 AM
hashar triaged this task as Low priority.

Change 481576 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] Add 'noop' tests for mediawiki/(extensions|skins) superprojects

https://gerrit.wikimedia.org/r/481576

Yeah that would do. Then it does not offer much benefit :] Maybe one can add some kind of test suite (in a shared repo) that would be able to do some assertion against the content of mediawiki/skins and mediawiki/extensions?

For me it'd be good if we could check that the .gitmodules file contains all the correct information, since the folder with the subproject commit is added by the command line. Unfortunately I don't know how to create such a test nor where to start.

Change 481576 merged by jenkins-bot:
[integration/config@master] Add 'noop' tests for mediawiki/(extensions|skins) superprojects

https://gerrit.wikimedia.org/r/481576

@hashar Apparently either I am doing something wrong or it doesn't work. See https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/+/481618/.

Revert commit uploaded.

Change 481620 had a related patch set uploaded (by Hashar; owner: MarcoAurelio):
[integration/config@master] Revert "Add 'noop' tests for mediawiki/(extensions|skins) superprojects"

https://gerrit.wikimedia.org/r/481620

Change 481620 merged by jenkins-bot:
[integration/config@master] Revert "Add 'noop' tests for mediawiki/(extensions|skins) superprojects"

https://gerrit.wikimedia.org/r/481620

The noop job could not even execute because the zuul-merger could not merge the patchset against the tip of the branch. Example: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/+/481618/

2018-12-31 14:47:08,570 DEBUG zuul.MergeServer: Got merge job: 2ea38f30e8aa40ccac5647c980928008
2018-12-31 14:47:08,570 DEBUG zuul.Merger: Merging for change 481618,1.
2018-12-31 14:47:08,570 DEBUG zuul.Merger: Processing refspec refs/changes/18/481618/1 for project mediawiki/extensions / master ref Z439f5e9d381c4bdb825de5d146533ac0
2018-12-31 14:47:08,571 DEBUG zuul.Repo: Cloning from ssh://jenkins-bot@gerrit.wikimedia.org:29418/mediawiki/extensions to /srv/zuul/git/mediawiki/extensions
2018-12-31 14:47:08,580 ERROR zuul.Repo: Unable to initialize repo for /srv/zuul/git/mediawiki/extensions
Traceback (most recent call last):
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 92, in createRepoObject
    self._ensure_cloned()
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 65, in _ensure_cloned
    git.Repo.clone_from(self.remote_url, self.local_path)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/repo/base.py", line 966, in clone_from
    return cls._clone(git, url, to_path, GitCmdObjectDB, progress, **kwargs)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/repo/base.py", line 912, in _clone
    finalize_process(proc, stderr=stderr)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/util.py", line 155, in finalize_process
    proc.wait(**kwargs)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/cmd.py", line 335, in wait
    raise GitCommandError(self.args, status, errstr)
GitCommandError: 'git clone -v ssh://jenkins-bot@gerrit.wikimedia.org:29418/mediawiki/extensions /srv/zuul/git/mediawiki/extensions' returned with exit code 128
stderr: 'fatal: destination path '/srv/zuul/git/mediawiki/extensions' already exists and is not an empty directory.
'

Which is due to T157818: zuul-merger fails when repository names overlaps. That is manually fixable on the zuul merger instances though.

MarcoAurelio closed this task as Declined.Dec 31 2018, 4:43 PM

Let's decline this then. We can investigate after T157818 is fixed.